## flare 0.9.6

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 0.9.6
Date: 2012-11-25
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.14), lattice, igraph, MASS, Matrix
Description: The package "flare" provides the implementation of a
        family of Lasso variants including Dantzig Selector, LAD Lasso,
        SQRT Lasso, Lq Lasso for estimating high dimensional sparse
        linear model. We adopt the alternating direction method of
        multipliers and convert the original optimization problem into
        a sequential L1 penalized least square minimization problem,
        which can be efficiently solved by combining the linearization
        and the efficient coordinate descent algorithm. The computation
        is memory-optimized using the sparse matrix output. Besides the
        sparse linear model estimation, we also provide the extension
        of these Lasso variants to sparse Gaussian graphical model
        estimation including TIGER and CLIME using either L1 or
        adaptive penalty.
License: GPL-2
Repository: CRAN
Packaged: 2012-11-27 04:52:50 UTC; leo
Date/Publication: 2012-11-27 17:50:59
