=== debian/changelog ===
flare (0.14.1-3) unstable; urgency=low

  * Disabling the override of dh_fixperms at the moment, it doesn't
    seem to work on buildd machines.  Better a lintian warning that
    not being able to build in all architectures...

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 14:26:07 +0100

flare (0.14.1-2) unstable; urgency=low

  * Simplifying debian/rules by using specific flags controlling the
    directories to use for building.
  * Fixing in debian/rules the way to remove executable permissions to
    a PNG file, so it doesn't break on buildd machines (it was working
    fine in pbuilder, though).
  * Disabled the automatic re-generation of the single man page, the
    man page is already provided in its proper form and can be
    regenerated from time to time -- no need for the added complexity
    of overriding dh_installman in debian/rules.  As a consequence,
    remove the xsltproc and docbook-* build-deps (XML is not being
    used for anything else).

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Sat, 22 Oct 2011 14:26:09 +0100

flare (0.14.1-1) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * Initial release (Closes: #622288)
  * Added CC-BY-SA text to debian/copyright
  * This is my first Debian package :)

  [ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
  * Recompressed the original tarball as .xz, goes down from ~120MB to
    ~78MB of space
  * Created a separate package for data
  * Minor modifications to the rules file to improve some commands
    (e.g. the way to clean/remove files)
  * Added .desktop file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 18 Oct 2011 18:49:56 +0200
