=== debian/control ===
Source: flare
Section: games
Priority: optional
Maintainer: Jan-Hendrik Peters <hennr@hennr.name>
Uploaders: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake (>= 2.6), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev
Standards-Version: 3.9.2
Homepage: http://clintbellanger.net/rpg/
Vcs-Git: git://github.com/hennr/debian-flare.git
Vcs-Browser: https://github.com/hennr/debian-flare

Package: flare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flare-data (= ${source:Version})
Description: single-player 2D action role-playing game
 This fantasy dungeon crawl game is a proof of concept implementation of the
 Free Libre Action Roleplaying Engine (FLARE). FLARE a simple
 isometric-perspective action role-play game engine in the basic style of
 Diablo.
 .
 This package contains the binaries.

Package: flare-data
Architecture: all
Depends: ${misc:Depends}
Recommends: flare (= ${source:Version})
Description: single-player 2D action role-playing game
 This fantasy dungeon crawl game is a proof of concept implementation of the
 Free Libre Action Roleplaying Engine (FLARE). FLARE a simple
 isometric-perspective action role-play game engine in the basic style of
 Diablo.
 .
 This package contains the data.
