=== debian/changelog ===
flare (0.15.1-1) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * New upstream release (Closes: #646455)
    - Imported Upstream version 0.15.1 [76cb190]
  * Added new build dependency: libsdl-ttf2.0-dev

  [ Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com> ]
  * Remove stuff in debian/ now present upstream:
    - flare.desktop (now in distribution/flare.desktop.in)
    - flare-icon.png (installed by CMake from art_src/logo/flare_logo.svg), and
      debian/source/include-binaries (created because of this icon)
  * debian/rules:
    - No need for "override_dh_fixperms" with this upstream
    - Now it doesn't contain the master CMakeLists.txt on build, so no need for
      overrides to "dh_auto_configure", "dh_auto_build" or "dh_auto_clean"
      (already commented out); nor "--builddirectory=build" to the base "dh"
      template.
    - "override_dh_install" to include --fail-missing (to avoid not installing
      new files by mistake, in this package with the data changing so often)
  * debian/copyright: minor updates, e.g. changes to dir names and clarifying
    that files are under GPLv3/CC-BY-SAv3 or later (not just 3.0)
  * Update package descriptions (text taken from upstream's README)

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 26 Dec 2011 22:12:48 +0000

flare (0.14.1-5) unstable; urgency=low

  [ Jan-Hendrik Peters <hennr@hennr.name> ]
  * Correcting path to icon in the menu file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Tue, 15 Nov 2011 22:12:48 +0000

flare (0.14.1-4) unstable; urgency=low

  * Installing .desktop file in the proper directory, otherwise it doesn't work
  * Quell lintian warnings:
    - latest-debian-changelog-entry-without-new-date: fix date of entry for
      version 0.14.1-3, it was set to one hour too early and didn't notice any
      lintian warning before uploading
    - duplicate-short-description: Improving description of packages flare and
      flare-data

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Mon, 14 Nov 2011 19:48:16 +0000
