=== debian/control ===
Source: flare
Section: games
Priority: optional
Maintainer: Jan-Hendrik Peters <hennr@hennr.name>
Uploaders: Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8), cmake (>= 2.6), libsdl1.2-dev, libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl-ttf2.0-dev
Standards-Version: 3.9.2
Homepage: http://clintbellanger.net/rpg/
Vcs-Git: git://github.com/hennr/debian-flare.git
Vcs-Browser: https://github.com/hennr/debian-flare

Package: flare
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, flare-data (= ${source:Version})
Description: single-player 2D action role-playing game, binary
 Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
 handle a very specific kind of game: single-player 2D action RPGs. Flare is not
 a reimplementation of an existing game or engine. It is a tribute to and
 exploration of the action RPG genre.
 .
 Rather than building a very abstract, robust game engine, the goal of this
 project is to build several real games and harvest an engine from the common,
 reusable code. The first game, in progress, is a fantasy dungeon crawl.
 .
 Flare uses simple file formats (INI style config files) for most of the game
 data, allowing anyone to easily modify game contents. Open formats are
 preferred (png, ogg). The game code is C++.
 .
 This package contains the binary.

Package: flare-data
Architecture: all
Depends: ${misc:Depends}
Recommends: flare (= ${source:Version})
Description: single-player 2D action role-playing game, data files
 Flare (Free Libre Action Roleplaying Engine) is a simple game engine built to
 handle a very specific kind of game: single-player 2D action RPGs. Flare is not
 a reimplementation of an existing game or engine. It is a tribute to and
 exploration of the action RPG genre.
 .
 Rather than building a very abstract, robust game engine, the goal of this
 project is to build several real games and harvest an engine from the common,
 reusable code. The first game, in progress, is a fantasy dungeon crawl.
 .
 Flare uses simple file formats (INI style config files) for most of the game
 data, allowing anyone to easily modify game contents. Open formats are
 preferred (png, ogg). The game code is C++.
 .
 This package contains the data files.
