=== debian/watch ===
version=3
http://githubredir.debian.net/github/clintbellanger/flare/v(.*).tar.gz
