## flare 0.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,11 +2,27 @@
 cmake_minimum_required (VERSION 2.6)
 
 Set (PACKAGE "FLARE")
-Set (VERSION "0.15")
+Set (VERSION "0.18")
 
 
 # Default definitions
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wno-unused -Wshadow -Woverloaded-virtual")
+if (NOT MSVC)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wunused -Wshadow -Woverloaded-virtual -Wunreachable-code")
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-math-errno -fno-exceptions")
+  if (NOT CMAKE_CXX_COMPILER MATCHES "clang")
+    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ffast-math")
+  endif (NOT CMAKE_CXX_COMPILER MATCHES "clang")
+  set(CMAKE_LD_FLAGS "-fwhole-program")
+endif (NOT MSVC)
+
+if (CMAKE_CXX_COMPILER MATCHES "clang")
+  # clang needs lstdc++ linked explicitly:
+  set(CMAKE_LD_FLAGS "${CMAKE_LD_FLAGS} -lstdc++")
+elseif ()
+  # assume gcc:
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-enforce-eh-specs")
+endif ()
+
 if(CMAKE_BUILD_TYPE STREQUAL "Release")
   set(CMAKE_CXX_FLAGS_RELEASE "-O2 -g0")
 elseif(CMAKE_BUILD_TYPE STREQUAL "RelWithDebInfo")
@@ -20,10 +36,14 @@
   set(CMAKE_MODULE_LINKER_FLAGS_DEBUG "-pg")
 endif()
 
-set(BINDIR  "games"             CACHE STRING "where to install game binary")
-set(DATADIR "share/games/flare" CACHE STRING "where to install game data")
-
-add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")
+set(BINDIR  "games"             CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game executable will be installed.")
+set(DATADIR "share/games/flare" CACHE STRING "Directory from CMAKE_INSTALL_PREFIX where game data files will be installed.")
+
+If(NOT IS_ABSOLUTE "${DATADIR}")
+	add_definitions(-DDATA_INSTALL_DIR="${CMAKE_INSTALL_PREFIX}/${DATADIR}")
+Else(NOT IS_ABSOLUTE "${DATADIR}")
+	add_definitions(-DDATA_INSTALL_DIR="${DATADIR}")
+EndIf(NOT IS_ABSOLUTE "${DATADIR}")
 
 # Detect missing dependencies
 
@@ -58,17 +78,25 @@
 
 # Sources
 
-Set (FLARE_SOURCES 
+Set (FLARE_SOURCES
 	./src/Entity.cpp
 	./src/Animation.cpp
+	./src/AnimationManager.cpp
+	./src/AnimationSet.cpp
+	./src/AStarNode.cpp
 	./src/Avatar.cpp
+	./src/BehaviorStandard.cpp
 	./src/CampaignManager.cpp
+	./src/CombatText.cpp
+	./src/EffectManager.cpp
 	./src/Enemy.cpp
+	./src/EnemyBehavior.cpp
 	./src/EnemyGroupManager.cpp
 	./src/EnemyManager.cpp
 	./src/FileParser.cpp
 	./src/FontEngine.cpp
 	./src/GameState.cpp
+	./src/GameStateConfig.cpp
 	./src/GameStateTitle.cpp
 	./src/GameStateLoad.cpp
 	./src/GameStatePlay.cpp
@@ -77,27 +105,31 @@
 	./src/GetText.cpp
 	./src/Hazard.cpp
 	./src/HazardManager.cpp
+	./src/ImageManager.cpp
 	./src/InputState.cpp
 	./src/ItemManager.cpp
 	./src/ItemStorage.cpp
+	./src/Loot.cpp
 	./src/LootManager.cpp
 	./src/MapCollision.cpp
-	./src/MapIso.cpp
+	./src/MapRenderer.cpp
 	./src/Menu.cpp
 	./src/MenuActionBar.cpp
+	./src/MenuActiveEffects.cpp
 	./src/MenuCharacter.cpp
 	./src/MenuConfirm.cpp
 	./src/MenuEnemy.cpp
 	./src/MenuExit.cpp
-	./src/MenuExperience.cpp
-	./src/MenuHPMP.cpp
 	./src/MenuHUDLog.cpp
 	./src/MenuInventory.cpp
 	./src/MenuItemStorage.cpp
 	./src/MenuLog.cpp
 	./src/MenuManager.cpp
 	./src/MenuMiniMap.cpp
+	./src/MenuNPCActions.cpp
 	./src/MenuPowers.cpp
+	./src/MenuStash.cpp
+	./src/MenuStatBar.cpp
 	./src/MenuTalker.cpp
 	./src/MenuVendor.cpp
 	./src/MessageEngine.cpp
@@ -107,23 +139,33 @@
 	./src/PowerManager.cpp
 	./src/QuestLog.cpp
 	./src/SaveLoad.cpp
+	./src/SDL_gfxBlitFunc.c
 	./src/Settings.cpp
 	./src/SharedResources.cpp
 	./src/StatBlock.cpp
+	./src/SoundManager.cpp
 	./src/TileSet.cpp
 	./src/Utils.cpp
+	./src/UtilsDebug.cpp
 	./src/UtilsFileSystem.cpp
 	./src/UtilsParsing.cpp
+	./src/Widget.cpp
+	./src/WidgetCheckBox.cpp
 	./src/WidgetButton.cpp
 	./src/WidgetInput.cpp
-	./src/WidgetLabel.cpp
+ 	./src/WidgetLabel.cpp
+ 	./src/WidgetListBox.cpp
+	./src/WidgetScrollBar.cpp
+	./src/WidgetScrollBox.cpp
+	./src/WidgetSlider.cpp
+ 	./src/WidgetTabControl.cpp
 	./src/WidgetTooltip.cpp
 	./src/main.cpp
 )
 
 # Add icon and file info to executable for Windows systems
 IF (WIN32)
-  SET(FLARE_SOURCES 
+  SET(FLARE_SOURCES
     ${FLARE_SOURCES}
     ./src/Flare.rc
     )
@@ -136,24 +178,29 @@
   Set (SDLMAIN_LIBRARY "")
 EndIf (NOT SDLMAIN_LIBRARY)
 
-Target_Link_Libraries (flare ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${SDLIMAGE_LIBRARY} ${SDLTTF_LIBRARY} ${SDLMAIN_LIBRARY})
-
-
-set(FLARE_EXECUTABLE_PATH ${CMAKE_INSTALL_PREFIX}/${BINDIR}/flare)
+Target_Link_Libraries (flare ${CMAKE_LD_FLAGS} ${SDL_LIBRARY} ${SDLMIXER_LIBRARY} ${SDLIMAGE_LIBRARY} ${SDLTTF_LIBRARY} ${SDLMAIN_LIBRARY})
+
+
+# desktop file
+If(NOT IS_ABSOLUTE "${BINDIR}")
+	set(FLARE_EXECUTABLE_PATH ${CMAKE_INSTALL_PREFIX}/${BINDIR}/flare)
+Else(NOT IS_ABSOLUTE "${BINDIR}")
+	set(FLARE_EXECUTABLE_PATH ${BINDIR}/flare)
+EndIf(NOT IS_ABSOLUTE "${BINDIR}")
 configure_file("${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare.desktop.in" "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop")
 
 
 # installing to the proper places
 install(PROGRAMS
   ${CMAKE_CURRENT_BINARY_DIR}/flare
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/${BINDIR})
+  DESTINATION ${BINDIR})
 install(DIRECTORY
   "${CMAKE_CURRENT_SOURCE_DIR}/mods"
-  DESTINATION ${CMAKE_INSTALL_PREFIX}/${DATADIR})
+  DESTINATION ${DATADIR})
 install(FILES
   "${CMAKE_CURRENT_BINARY_DIR}/flare.desktop"
   DESTINATION ${CMAKE_INSTALL_PREFIX}/share/applications)
 install(FILES
-  "${CMAKE_CURRENT_SOURCE_DIR}/art_src/logo/flare_logo.svg"
+  "${CMAKE_CURRENT_SOURCE_DIR}/distribution/flare_logo.svg"
   DESTINATION ${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps
   RENAME flare.svg)
