=== debian/changelog ===
flare (0.18-1) unstable; urgency=low

  [ Jan-Hendrik Peters ]
  * New upstream version 0.18

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.4 (no changes needed)
  * Change maintaner address
  * Remove obsolete "DM-Upload-Allowed: yes"

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 08 May 2013 21:53:39 +0100

flare (0.17.1-1~exp1) experimental; urgency=low

  [ Jan-Hendrik Peters ]
  * New upstream version

  [ Manuel A. Fernandez Montecelo ]
  * Bump Policy Standards-Version to 3.9.3 (no changes needed)
  * debhelper compatibility level set to 9 (brings fortified builds and other
    goodies), dependencies change accordingly
  * Depending on fonts (liberation and unifont) rather than installing the
    embedded ones
  * Review of debian/copyright for the new version, documenting licenses of
    included fonts, updating URLs, copyright file format
  * Updated watch file

 -- Manuel A. Fernandez Montecelo <manuel.montezelo@gmail.com>  Fri, 28 Dec 2012 00:44:42 +0000
