=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,7 @@
 
 
 override_dh_install:
-	dh_install --fail-missing
+	dh_install --fail-missing -X*.ttf
 
 
 # mafm 20111021 -- man page can be regenerated from time to time, no
