## flare 0.19

=== debian/changelog ===
flare (0.19-1) unstable; urgency=medium

  * New upstream release (Closes: #734742)
  * Convert to meta-packages to depend on new package names brought with
    version 0.19, due to the separation of engine and game data (Closes:
    #742062, #762976).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Sat, 27 Sep 2014 19:34:14 +0100
