## flare 1.0.0

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.0.0
Date: 2013-08-25
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan and Han Liu
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
Depends: R (>= 2.15.0), lattice, igraph, MASS, Matrix
Description: The package "flare" provides the implementation of a family of high-dimensional Lasso regression based machine learning toolkits, including a family of various Lasso regression and sparse Gaussian graphical model estimation. Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso for estimating high dimensional sparse linear model. The sparse Gaussian graphical model estimation includes TIGER and CLIME using L1 penalty. We adopt the combination of the dual smoothing and monotone fast iterative soft-thresholding algorithm (MFISTA). The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
Packaged: 2013-08-27 14:41:03 UTC; leo
NeedsCompilation: yes
Date/Publication: 2013-08-27 17:02:04
