## flare 1.6.0.2

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.6.0.2
Date: 2018-03-21
Author: Xingguo Li, Tuo Zhao, Lie Wang, Xiaoming Yuan, and Han Liu
Maintainer: ORPHANED
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Imports: methods
Description: Provide the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. 
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
Packaged: 2019-08-02 12:56:57 UTC; hornik
Date/Publication: 2019-08-02 12:59:57 UTC
X-CRAN-Original-Maintainer: Xingguo Li <xingguo.leo@gmail.com>
X-CRAN-Comment: Orphaned and corrected on 2019-07-02 as misuse of
        package= for PACKAGE= was not corrected despite reminder.  More
        corrections on 2019-08-02.
