## flare 1.7.0.2

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.7.0.2
Date: 2020-11-28
Authors@R: c(person(given = "Xingguo",
                    family = "Li",
                    role = c("aut", "cre"),
                    email = "xingguo.leo@gmail.com"),
             person(given = "Tuo",
                    family = "Zhao",
                    role = "aut"),
             person(given = "Lie",
                    family = "Wang",
                    role = "aut"),
             person(given = "Xiaoming",
                    family = "Yuan",
                    role = "aut"),
             person(given = "Han",
                    family = "Liu",
                    role = "aut"))
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Imports: methods
Description: Provide the implementation of a family of Lasso variants including Dantzig Selector, LAD Lasso, SQRT Lasso, Lq Lasso for estimating high dimensional sparse linear model. We adopt the alternating direction method of multipliers and convert the original optimization problem into a sequential L1 penalized least square minimization problem, which can be efficiently solved by linearization algorithm. A multi-stage screening approach is adopted for further acceleration. Besides the sparse linear model estimation, we also provide the extension of these Lasso variants to sparse Gaussian graphical model estimation including TIGER and CLIME using either L1 or adaptive penalty. Missing values can be tolerated for Dantzig selector and CLIME. The computation is memory-optimized using the sparse matrix output. For more information, please refer to <https://www.jmlr.org/papers/volume16/li15a/li15a.pdf>.
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
Packaged: 2024-11-04 17:49:37 UTC; hornik
Date/Publication: 2024-11-04 18:35:27 UTC
Author: Xingguo Li [aut, cre],
  Tuo Zhao [aut],
  Lie Wang [aut],
  Xiaoming Yuan [aut],
  Han Liu [aut]
Maintainer: Xingguo Li <xingguo.leo@gmail.com>
