## flare 1.8

=== DESCRIPTION ===
Package: flare
Type: Package
Title: Family of Lasso Regression
Version: 1.8
Date: 2026-02-19
Authors@R: c(person(given = "Xingguo",
                    family = "Li",
                    role = "aut",
                    email = "xingguo.leo@gmail.com"),
             person(given = "Tuo",
                    family = "Zhao",
                    role = c("aut", "cre"),
                    email = "tourzhao@gatech.edu"),
             person(given = "Lie",
                    family = "Wang",
                    role = "aut"),
             person(given = "Xiaoming",
                    family = "Yuan",
                    role = "aut"),
             person(given = "Han",
                    family = "Liu",
                    role = "aut"))
Depends: R (>= 2.15.0), lattice, MASS, Matrix, igraph
Imports: methods
Suggests: testthat (>= 3.0.0)
Description: Provides implementations of a family of Lasso variants,
    including Dantzig Selector, LAD Lasso, SQRT Lasso, and Lq Lasso, for
    estimating high-dimensional sparse linear models. We adopt the
    alternating direction method of multipliers and convert the original
    optimization problem into a sequence of L1-penalized least-squares
    minimization problems that are efficiently solved by linearization and
    multi-stage screening. In addition to sparse linear model estimation, we
    provide extensions of these methods to sparse Gaussian graphical model
    estimation, including TIGER and CLIME, using either L1 or adaptive
    penalties. Missing values can be tolerated for Dantzig selector and
    CLIME. Computation is memory-optimized using sparse matrix output. For
    more information, see
    <https://www.jmlr.org/papers/volume16/li15a/li15a.pdf>.
License: GPL-2
Repository: CRAN
NeedsCompilation: yes
Packaged: 2026-02-19 04:24:51 UTC; tourzhao
Date/Publication: 2026-02-19 14:30:02 UTC
Author: Xingguo Li [aut],
  Tuo Zhao [aut, cre],
  Lie Wang [aut],
  Xiaoming Yuan [aut],
  Han Liu [aut]
Maintainer: Tuo Zhao <tourzhao@gatech.edu>
Config/testthat/edition: 3
